package com.hxhq.business.enums.zykgl;

/**
 * 是否同意归还：1：拒绝归还；10：同意归还
 * @author tanfei
 */
public enum ShGhEnum {

    /**
     * 拒绝归还
     */
    jj(1, "拒绝归还"),

    /**
     * 同意归还
     */
    ty(10, "同意归还");

    private int value;
    private String text;

    ShGhEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static ShGhEnum getEnumByValue(int type) {
        for (ShGhEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
